<?php

namespace Lc\SovBundle\Container\User;

use App\Entity\User\GroupUser;
use Lc\SovBundle\Factory\User\GroupUserFactory;
use Lc\SovBundle\Repository\User\GroupUserRepositoryQuery;
use Lc\SovBundle\Repository\User\GroupUserStore;

class GroupUserContainer
{
    protected GroupUserFactory $factory;
    protected GroupUserRepositoryQuery $repositoryQuery;
    protected GroupUserStore $store;

    public function __construct(
            GroupUserFactory $factory,
            GroupUserRepositoryQuery $repositoryQuery,
            GroupUserStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public static function getEntityFqcn()
    {
        return GroupUser::class;
    }
    public function getFactory(): GroupUserFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): GroupUserRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): GroupUserStore
    {
        return $this->store;
    }
}
